## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Since the Python package is used only as a plugin for mkdocs, and not as a
# general-purpose Python library, the base package is named accordingly (i.e.,
# not python-markdownextradata or similar).
Name:           mkdocs-markdownextradata-plugin
Version:        0.2.5
Release:        %autorelease
Summary:        MkDocs plugin that injects mkdocs.yml extra variables

License:        MIT
URL:            https://github.com/rosscdh/mkdocs-markdownextradata-plugin
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

# From tests_require in setup.py (but not in install_requires):
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(click)

%py_provides python3-mkdocs-markdownextradata-plugin

%description
A MkDocs plugin that injects the mkdocs.yml extra variables into the markdown
template

Use case:

  As a user with variables that need to be inserted at the markdown level, not
  the template level.

  I need a mkdocs plugin that will inject my “extras” variables into the
  markdown template before it gets rendered to html.

  So that I can build my markdown pages with different values for images, urls,
  client_names, etc.


%prep
%autosetup


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files markdownextradata


%check
%pytest


%files -f %{pyproject_files}
%doc CONTRIBUTING.md
%doc README.md


%changelog
* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.5-5
- Drop stray %%forgemeta

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.5-4
- Do not duplicate license file already handled by pyproject_files

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.5-3
- Reduce macro indirection in the spec file

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.5-1
- Update to 0.2.5 (close RHBZ#2033236)

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.4-7
- Drop BR on pyproject-rpm-macros, now implied by python3-devel

* Tue Jul 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.4-6
- Move %generate_buildrequires after %prep to make the spec file easier to
  follow

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2.4-3
- Rebuilt for Python 3.10

* Tue May 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.4-2
- Fix python Provides

* Sat May 15 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.4-1
- Initial package

